Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment.util
Class BeanExcludeInfo

    java.lang.Object
      org.apache.axis2.deployment.util.BeanExcludeInfo

    public class BeanExcludeInfo

extends java.lang.Object

this class is used to keep the excludeProperties and includePropertes of the given bean when generating the wsdl, and serializing.

Constructor Summary
`BeanExcludeInfo(java.lang.String excludeProperties, java.lang.String includeProperties)`

Method Summary
`java.lang.String` | `getExcludeProperties()`
`java.lang.String` | `getIncludeProperties()`
`boolean` | `isExcludedProperty(java.lang.String property)` a property is excluded if it ths given in the exclude list but not in include list
`void` | `setExcludeProperties(java.lang.String excludeProperties)`
`void` | `setIncludeProperties(java.lang.String includeProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanExcludeInfo

    public BeanExcludeInfo(java.lang.String excludeProperties,
                           java.lang.String includeProperties)

Method Detail

### getExcludeProperties

    public java.lang.String getExcludeProperties()

### setExcludeProperties

    public void setExcludeProperties(java.lang.String excludeProperties)

### getIncludeProperties

    public java.lang.String getIncludeProperties()

### setIncludeProperties

    public void setIncludeProperties(java.lang.String includeProperties)

### isExcludedProperty

    public boolean isExcludedProperty(java.lang.String property)

  a property is excluded if it ths given in the exclude list but not in include list

  Parameters:
    `property` -
  Returns:
    is exclude the property or not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.